/*
 *  Copyright (C) 2012 Yvon TANGUY

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.vono.narau;

import java.util.ArrayList;

import org.vono.narau.Narau.MenuActivity;
import org.vono.narau.Narau.MenuAdapter;

import android.os.Bundle;
import android.support.v4.app.ListFragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;

public class MainMenuFragment extends ListFragment {
	private static ArrayList<MenuActivity> listActivities;
	private static LayoutInflater layoutInflater;

	static void setList(ArrayList<MenuActivity> listActivities, LayoutInflater layoutInflater) {
		MainMenuFragment.listActivities = listActivities;
		MainMenuFragment.layoutInflater = layoutInflater;
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		super.setListAdapter(new MenuAdapter(listActivities, layoutInflater));

		return super.onCreateView(inflater, container, savedInstanceState);
	}

	@Override
	public void onListItemClick(ListView lv, View v, int pos, long id) {
		MenuActivity info = (MenuActivity) getListAdapter().getItem(pos);
		if (info.enabled) {
			startActivity(info.intent);
		}
	}
}
