/*
 *  Copyright (C) 2012 Yvon TANGUY

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.vono.narau.download;

import org.vono.narau.R;
import org.vono.narau.db.CommonDB;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.DialogInterface.OnMultiChoiceClickListener;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;

public class DialogDeleteOldDB extends DialogFragment implements OnMultiChoiceClickListener, OnClickListener {

	private boolean[] checkedItems;

	public DialogDeleteOldDB() {
		super();
		this.checkedItems = null;
	}

	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState) {
		AlertDialog.Builder builder = new AlertDialog.Builder(super.getActivity());
		builder.setTitle(R.string.questionDeprecatedDBTitle);

		final int numItems = CommonDB.oldDBFiles.size();

		String[] items = new String[numItems];
		this.checkedItems = new boolean[numItems];

		for (int i = 0; i < numItems; i++) {
			items[i] = CommonDB.oldDBFiles.get(i).getName();
			this.checkedItems[i] = true;
		}

		builder.setMultiChoiceItems(items, this.checkedItems, this);
		builder.setPositiveButton(android.R.string.yes, this);
		builder.setNegativeButton(android.R.string.no, this);

		return builder.create();
	}

	public void onClick(DialogInterface dialog, int which, boolean isChecked) {
		this.checkedItems[which] = isChecked;

	}

	public void onClick(DialogInterface dialog, int which) {
		if (which == DialogInterface.BUTTON_POSITIVE) {
			final int numItems = CommonDB.oldDBFiles.size();
			for (int i = 0; i < numItems; i++) {
				if (this.checkedItems[i]) {
					CommonDB.oldDBFiles.get(i).delete();
				}
			}
		}
		CommonDB.oldDBFiles.clear();
	}
}
