/**
 *  Copyright (C) 2012 Yvon TANGUY

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.vono.narau.preferences;

import java.util.Locale;

/**
 * 
 *
 */
public class LangLineModel {
	private String lang;
	private Locale locale;
	private String languageName;

	public LangLineModel(Locale locale, String lang) {
		this.locale = locale;
		this.languageName = locale.getDisplayLanguage();
		this.lang = lang;
	}

	public Locale getLocale() {
		return locale;
	}

	public String getLang() {
		return lang;
	}

	/**
	 * return the language name
	 */
	@Override
	public String toString() {
		return this.languageName;
	}

	@Override
	public boolean equals(Object o) {
		if (o instanceof LangLineModel) {
			return this.lang.equals(((LangLineModel) o).lang);
		}
		return false;
	}

	@Override
	public int hashCode() {
		return this.lang.hashCode();
	}
}
