/*
 * Copyright (C) 2007 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * Modified to work with the android SDK 3 (Android 1.5)
 */
package android.support.v4.os;

/**
 * Information about the current build, extracted from system properties.
 */
public class Build {
	/** Various version strings. */
	public static class VERSION {

		/**
		 * The user-visible SDK version of the framework in its raw String
		 * representation; use {@link #SDK_INT} instead.
		 * 
		 */
		public static final String SDK = android.os.Build.VERSION.SDK;

		/**
		 * The user-visible SDK version of the framework; its possible values
		 * are defined in {@link Build.VERSION_CODES}.
		 * 
		 */
		public static final int SDK_INT = Integer.parseInt(SDK);

	}

}
