/**
 *  Copyright (C) 2012 Yvon TANGUY

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.vono.narau.dictdb.entry;

import java.util.ArrayList;

/**
 * <p>
 * info (links*, bibl*, etym*, audit*)
 * </p>
 * general coded information relating to the entry as a whole.
 * 
 */
public class Info {
	public static final int LINK_TAG = 0;
	public static final int LINK_DESC = 1;
	public static final int LINK_URI = 2;

	public static final int BIBL_TAG = 0;
	public static final int BIBL_TXT = 1;

	public static final int AUDIT_DATE = 0;
	public static final int AUDIT_DETL = 1;

	public ArrayList<String[]> links;
	public ArrayList<String[]> bibls;
	public ArrayList<String> etym;
	public ArrayList<String[]> audits;

	public Info() {
		this.links = null;
		this.bibls = null;
		this.etym = null;
		this.audits = null;
	}

}